%define pypi_name gphoto2
Name:           python-%{pypi_name}
Version:        2.2.1
Release:        %mkrel 1
Summary:        Python interface to libgphoto2
Group:          Development/Python
License:        GPLv3+
URL:            https://github.com/jim-easterbrook/python-gphoto2
Source0:        https://pypi.io/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  swig


%description
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package -n python3-%{pypi_name}
Summary:        Python 3 interface to libgphoto2
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

%package examples
Summary:        Example files for python-gphoto2
BuildArch:      noarch
Requires:       python3-%{pypi_name}

%description examples
python-gphoto2 is a comprehensive Python interface (or binding) to libgphoto2.
It is built using SWIG to automatically generate the interface code.
This gives direct access to nearly all the libgphoto2 functions, but
sometimes in a rather un-Pythonic manner.

This package contains the example files.

%prep
%autosetup -n gphoto2-%{version}
sed -i -e '1s/python$/python3/' examples/*.py

%build
%{__python3} setup.py build_swig
%py3_build

%install
%py3_install

%check
%{__python3} setup.py check

%files -n python3-%{pypi_name}
%doc README* CHANGELOG*
%{python3_sitearch}/*

%files examples
%{_datadir}/%{name}/


%changelog
* Thu Mar 26 2020 danf <danf> 2.2.1-1.mga8
+ Revision: 1560871
- Upgraded to 2.2.1
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.0.0-2.mga8
+ Revision: 1443316
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jul 06 2019 kekepower <kekepower> 2.0.0-1.mga8
+ Revision: 1419140
- Update to version 2.0.0

* Mon Jan 07 2019 kekepower <kekepower> 1.9.0-1.mga7
+ Revision: 1351166
- Update to version 1.9.0

* Fri Nov 23 2018 kekepower <kekepower> 1.8.5-1.mga7
+ Revision: 1333534
- Update to version 1.8.5

* Sat Nov 03 2018 kekepower <kekepower> 1.8.3-1.mga7
+ Revision: 1327786
- Update to version 1.8.3

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1300490
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 1.8.2-1.mga7
+ Revision: 1220393
- Create py3dir to make build_swig correct
- imported package python-gphoto2

